# - Try to find LOG4CPLUS
# Once done this will define
#  
#  LOG4CPLUS_FOUND        - system has Log4Cplus
#  LOG4CPLUS_INCLUDE_DIR  - the Log4Cplus include directory
#  LOG4CPLUS_LIBRARIES    - Link these to use Log4Cplus

find_library( LOG4CPLUS_LIBRARIES log4cplus
	PATHS ${REND_DEP_LIB_DIR})

find_path( LOG4CPLUS_INCLUDE_DIR log4cplus
	PATHS ${REND_DEP_INC_DIR})

IF(LOG4CPLUS_LIBRARIES)
	SET( LOG4CPLUS_FOUND "YES" )
	MESSAGE("Log4Cplus Desktop Library is found.")
ELSE(LOG4CPLUS_LIBRARIES)
	SET( LOG4CPLUS_FOUND "NO" )
	MESSAGE("Log4Cplus Desktop Library is not found.")
ENDIF(LOG4CPLUS_LIBRARIES)

MARK_AS_ADVANCED(
  LOG4CPLUS_INCLUDE_DIR
  LOG4CPLUS_LIBRARIES
)
