# - Try to find PCRE
# Once done this will define
#  
#  PCRE_FOUND        - system has PCRE
#  PCRE_INCLUDE_DIR  - the PCRE include directory
#  PCRE_LIBRARIES    - Link these to use PCRE

find_library( PCRE_LIBRARIES pcre 
	PATHS ${REND_DEP_LIB_DIR} /usr/local/lib /usr/lib
)
find_path( PCRE_INCLUDE_DIR pcre.h
	PATHS
	${REND_DEP_INC_DIR} /usr/local/include /usr/include
)

if(PCRE_INCLUDE_DIR AND PCRE_LIBRARIES)
	SET(PCRE_FOUND "YES")
endif(PCRE_INCLUDE_DIR AND PCRE_LIBRARIES)

if(PCRE_FOUND)
	MESSAGE("PCRE Desktop Library is found.")
else(PCRE_FOUND)
	MESSAGE("PCRE Desktop Library is not found.")
endif(PCRE_FOUND)

mark_as_advanced(
  PCRE_INCLUDE_DIR
  PCRE_LIBRARIES
)
