/****************************************************************************
Copyright 2010 Adil Yalcin

Licensed under the Apache License, Version 2.0 (the "License"); 
you may not use this file except in compliance with the License. 
You may obtain a copy of the License at 
http://www.apache.org/licenses/LICENSE-2.0 

Unless required by applicable law or agreed to in writing, software 
distributed under the License is distributed on an "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
See the License for the specific language governing permissions and 
limitations under the License. 
****************************************************************************/
#ifndef _PHY_RIGIDBODYSPHERE_H_
#define _PHY_RIGIDBODYSPHERE_H_

#include "Phy/Config.h"
#include "Phy/RigidBody.h"

namespace Phy{

	class RigidBodySphere : public RigidBody{
	public:
		~RigidBodySphere();

		// GETTERS
		Real getRadius() const;

	private:
		RigidBodySphere(World& w,Real density,Real radius);

		friend class World;
	};

} // namespace Phy

#endif // _PHY_RIGIDBODYSPHERE_H_
